Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField Class Reference

Action to remove a field from content objects. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField:

## Public Member Functions
| __construct (ContentGateway $contentGateway, FieldDefinition $fieldDef, StorageHandler $storageHandler, ContentMapper $contentMapper)
| Creates a new action. More...
| apply ($contentId)
| Applies the action to the given $content. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action
| __construct (ContentGateway $contentGateway)
| Creates a new action. More...

## Protected Attributes
| $fieldDefinition
| $storageHandler
| $contentMapper
Protected Attributes inherited from eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action
| $contentGateway

## Detailed Description

Action to remove a field from content objects.

Definition at line 18 of file RemoveField.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField::__construct | ( | ContentGateway | $contentGateway,
|  | FieldDefinition | $fieldDef,
|  | StorageHandler | $storageHandler,
|  | ContentMapper | $contentMapper
| ) |  |

Creates a new action.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Gateway | $contentGateway |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDef |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageHandler | $storageHandler |
  \eZ\Publish\Core\Persistence\Legacy\Content\Mapper | $contentMapper |

Definition at line 45 of file RemoveField.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\$contentGateway, eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField\$contentMapper, and eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField\$storageHandler.

## Member Function Documentation

## ◆ apply()

eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField::apply | ( |  | $contentId | ) |

Applies the action to the given $content.

Parameters

  int | $contentId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action.

Definition at line 62 of file RemoveField.php.

## Member Data Documentation

## ◆ $contentMapper

eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField::$contentMapper
| protected

Definition at line 35 of file RemoveField.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField\__construct().

## ◆ $fieldDefinition

eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField::$fieldDefinition
| protected

Definition at line 25 of file RemoveField.php.

## ◆ $storageHandler

eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField::$storageHandler
| protected

Definition at line 32 of file RemoveField.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\ContentUpdater\Action\RemoveField\__construct().

The documentation for this class was generated from the following file:

- RemoveField.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.